# $Revision: 1.22 $, $Date: 2002/09/02 10:26:57 $
Summary:	LibMPEG3 decodes the many many derivatives of MPEG standards
Summary(pl):	LibMPEG3 dekoduje wiele alternatywnych standardw MPEG
Name:		libmpeg3
Version:	1.5
Release:	4
License:	GPL
Group:		Libraries
Source0:	http://heroinewarrior.com/%{name}-%{version}.tar.gz 
URL:		http://heroinewarriors.com/libmpeg3.php3
Patch0:		%{name}-install.patch
Patch1:		%{name}-opt.patch
Patch2:		%{name}-shared.patch
BuildRequires:	nasm
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
LibMPEG3 decodes the many many derivatives of MPEG standards into
uncompressed data suitable for editing and playback.

libmpeg3 currently decodes:
 - MPEG-1 Layer II Audio
 - MPEG-1 Layer III Audio
 - MPEG-2 Layer III Audio
 - MPEG-1 program streams
 - MPEG-2 program streams
 - MPEG-2 transport streams
 - AC3 Audio
 - MPEG-2 Video
 - MPEG-1 Video
 - IFO files
 - VOB files

%description -l pl
LibMPEG3 dekoduje wiele odmian standardu MPEG w nieskompresowany
strumie, ktry atwo jest odtwarza lub edytowa. Aktualnie potrafi
dekodowa: dwik MPEG-1 Layer II i III oraz MPEG-2 Layer 3,
strumienie MPEG-1 i MPEG-2, dwik AC3, obraz MPEG-1 i MPEG-2, pliki
IFO oraz VOB.

%package devel
Summary:	Header files for developing programs using libmpeg3
Summary(pl):	Pliki nagwkowe do rozwijania programw uywajcych libmpeg3
Group:		Development/Libraries
Requires:	%{name} = %{version}

%description devel
This package is all you need to develop programs that handle the
various video and audio file formats supported by libmpeg3.

%description devel -l pl
Ten pakiet to wszystko czego potrzebujesz by rozwija programy
obsugujce rne formaty plikw wideo oraz audio wspierane przez
libmpeg3.

%package static
Summary:	Static libmpeg3 library
Summary(pl):	Statyczna biblioteka libmpeg3
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}

%description static
Static libmpeg3 library.

%description static -l pl
Statyczna biblioteka libmpeg3.

%package progs
Summary:	libmpeg3 utility programs
Summary(pl):	programy uytkowe
Group:		Applications/Graphics
Requires:	%{name} = %{version}

%description progs
This package includes various utility programs for manipulating MPEG
files for use by libmpeg3 programs.

%description progs -l pl
Ten pakiet zawiera rne programy narzdziowe do manipulowania plikami
MPEG.

%prep
%setup -q -n %{name}
%patch0 -p1
%patch1 -p1
%patch2 -p1

%build
%{__make} \
	OPT="%{rpmcflags} %{!?debug:-fomit-frame-pointer}" \
%ifarch i586 i686 athlon
	USE_MMX=1
%endif

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%post   -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libmpeg3.so.*.*

%files devel
%defattr(644,root,root,755)
%doc docs/index.html
%attr(755,root,root) %{_libdir}/libmpeg3.so
%{_includedir}/libmpeg3

%files static
%defattr(644,root,root,755)
%{_libdir}/libmpeg3.a

%files progs
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld.org.pl>
All persons listed below can be reached at <cvs_login>@pld.org.pl

$Log: libmpeg3.spec,v $
Revision 1.22  2002/09/02 10:26:57  qboosh
- fixed build on alpha (changed opt patch), release 4

Revision 1.21  2002/04/16 22:37:53  marcus
- rel.3.

Revision 1.20  2002/04/05 23:15:49  qboosh
- fixed and simplified file list, removed gzipping html doc
- use optflags and MMX on x86 (seems to have good runtime CPU detection)
- better install patch, added opt patch
- (updated) shared patch is back (shared lib was broken!)
- release 2

Revision 1.19  2002/04/03 06:39:11  pioklo
- typo in %%files section

Revision 1.18  2002/04/02 08:38:28  pioklo
- up to 1.5

Revision 1.17  2002/03/26 07:03:07  kloczek
- release 6: fixed configure script parameters
  (s/--nommx/--no-mmx; s/--nocss/--no-css/)

Revision 1.16  2002/03/02 07:35:35  kloczek
- reelase 5: fixed build for non-ix86 archs.

Revision 1.15  2002/03/02 04:56:06  kloczek
- cosmetics.

Revision 1.14  2002/03/01 20:30:14  wrobell
- fix shared library version
- corrected URIs
- rel. 4
- stb

Revision 1.13  2002/02/23 03:26:02  kloczek
- adapterized.

Revision 1.12  2002/02/22 23:29:12  kloczek
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

Revision 1.11  2002/02/02 20:23:36  ankry
- adding es/fr/pt_BR/ru/uk (and eventually de) Group translations

Revision 1.10  2002/02/01 14:51:48  ankry
- added Group(es/pt_BR/ru/uk)

Revision 1.9  2002/01/18 02:13:41  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.8  2001/11/28 11:16:56  wrobell
- it does not depend on X11 stuff
- rel. 3, stbr

Revision 1.7  2001/09/27 08:41:32  migo
- adapterized

Revision 1.6  2001/04/30 16:05:20  kloczek
- added using %%{rpmcflags} macro.

Revision 1.5  2001/02/13 14:23:05  kloczek
- release 2.

Revision 1.4  2001/02/13 02:24:41  qboosh
- ugly workaround for gcc (which won't allocate ebx when compiling PIC)
(asm code looks good - but please test it, I don't have MMX)

Revision 1.3  2001/02/10 22:26:26  misiek
enable asm optimalizations. One file need to be fixed... anyone here with asm knowledge?

Revision 1.2  2001/02/10 22:08:03  misiek
1.2.3; adapterized; stb

Revision 1.1  2000/11/20 12:53:53  baggins
- initial revision
